package net.w_horse.excelpojo.xml;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;
import org.springframework.beans.factory.xml.ParserContext;
import org.w3c.dom.Element;

public interface CellSeekerFactoryBeanAcceptableXMLParser {
	BeanDefinitionBuilder parse(Element element, LabeledCellSeekerFactoryBean factory, ParserContext parserContext);
	BeanDefinitionBuilder parse(Element element, PointedCellSeekerFactoryBean factory, ParserContext parserContext);
	BeanDefinitionBuilder parse(Element element, ConstantValueCellSeekerFactoryBean factory, ParserContext parserContext);
	BeanDefinitionBuilder parse(Element element, VerticalRepeatsSeekerFactoryBean factory, ParserContext parserContext);
	BeanDefinitionBuilder parse(Element element, HorizontalRepeatsSeekerFactoryBean factory, ParserContext parserContext);
	BeanDefinitionBuilder parse(Element element, MappedCellSeekerFactoryBean factory, ParserContext parserContext);

}
